com.google.gwt.json.client

## Class JSONNull

- java.lang.Object
- - com.google.gwt.json.client.JSONValue
  - - com.google.gwt.json.client.JSONNull

    public class JSONNull
    extends JSONValue

Represents the JSON `null` value.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static JSONNull` `getInstance()` Returns the singleton null-valued JSON object.
`(package private) JavaScriptObject` `getUnwrapper()` Internal.
`JSONNull` `isNull()` Returns `this`, as this is a JSONNull.
`java.lang.String` `toString()` Returns "null" to allow for formatting `null` values.

### Methods inherited from class com.google.gwt.json.client.JSONValue

`isArray, isBoolean, isNumber, isObject, isString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getInstance

    public static JSONNull getInstance()

Returns the singleton null-valued JSON object.

#### isNull

    public JSONNull isNull()

Returns `this`, as this is a JSONNull.

Overrides:
  `isNull` in class `JSONValue`
Returns:
  a reference to a JSONNull if this JSONValue is a JSONNull or `null` otherwise.

#### toString

    public java.lang.String toString()

Returns "null" to allow for formatting `null` values.

Specified by:
  `toString` in class `JSONValue`

#### getUnwrapper

    JavaScriptObject getUnwrapper()

Description copied from class: `JSONValue`
Internal. Returns a JS func that can unwrap this value. Used from native code.

Specified by:
  `getUnwrapper` in class `JSONValue`